Bug 39966 - mismatch between documentation and kickstart partition options
mismatch between documentation and kickstart partition options
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 19:06 EDT by Alex Vorobiev
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-10 10:15:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Vorobiev 2001-05-09 19:06:22 EDT
Description of problem:
as per
http://www.redhat.com/support/manuals/RHL-7-Manual/ref-guide/s1-kickstart2-commands.html,
--asprimary option for part command must be used with a numeric argument:
--asprimary <N>

            Forces auto allocation as a primary partition <N> or fail. <N>
can be 1 through 4. 

the anaconda kickstart.py code doesn't support that.  as per the code,
asprimary should not have any arguments.  the install fails with an error
message.

How reproducible:
Always

Steps to Reproduce:
1.  add lines to kickstart config file like
part /  --size 1024 --asprimary
2.   start kickstart install
3.   watch it fail
	

Actual Results:  install fails with an error:

partition command requires one anonymous argument

Expected Results:  partition created as a primary partition

Additional info:

this may also affect 7.1, didn't check.

also confused about --onprimary and --asprimary options.  i tried them in
every possible combination and permutation, and every time the
autopartitioning failed with the following error:
	Failed to allocate '/': no free primary
and so on, and switches to disk druid.  i am familiar with the trick to
specify a /boot partition to make sure that kickstart makes it a primary
partition.  but the other options that are supposed to specify whether the
partition is primary or not, don't work.
am i not using them correctly?

thanks
Comment 1 Alex Vorobiev 2001-05-10 10:15:16 EDT
in the Steps to reproduce section, instead of 

	part /  --size 1024 --asprimary

please read:

	part /  --size 1024 --asprimary 1
Comment 2 Brent Fox 2001-05-10 16:30:10 EDT
I think this has been fixed in the 7.1 documentation.  The 7.1 Reference Guide
kickstart guide is available at
http://www.redhat.com/support/manuals/RHL-7.1-Manual/customization-guide/s1-kickstart2-options.html

Quoting from that:
--asprimary

    Forces automatic allocation of the partition as a primary partition or the
partitioning will fail.


Thanks for your report.  Resolving as 'Current Release'

Note You need to log in before you can comment on or make changes to this bug.